### Method

# GUPnPAV SearchCriteriaParser parse_text

#### Declaration [src]

    gboolean
    gupnp_search_criteria_parser_parse_text (
      GUPnPSearchCriteriaParser* parser,
      const char* text,
      GError** error
    )

#### Description [src]

Parses `text`, emitting the various defined signals on the way. If an error occured `error` will be set.

#### Parameters

`text`

  Type: `const char*`

  The search criteria string to be parsed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.